## spray 1.0

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0
Date: 2016-02-01
Author: Robin K. S. Hankin
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
License: GPL (>= 2)
Depends: methods
Imports: Rcpp (>= 0.12.3),partitions,magic
LinkingTo: Rcpp
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2016-03-10 20:15:09 UTC; rhankin
Repository: CRAN
Date/Publication: 2016-03-11 10:27:47

## spray 1.0-3

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-3
Date: 2017-05-18
Author: Robin K. S. Hankin
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
License: GPL (>= 2)
Depends: methods
Suggests: polynom
Imports: Rcpp (>= 0.12.3),partitions,magic
LinkingTo: Rcpp
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2017-05-25 21:03:32 UTC; rhankin
Repository: CRAN
Date/Publication: 2017-05-25 21:45:34 UTC

## spray 1.0-5

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-5
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
License: GPL (>= 2)
Depends: methods
Suggests: polynom
Imports: Rcpp (>= 0.12.3),partitions,magic
LinkingTo: Rcpp
SystemRequirements: C++11
URL: https://github.com/RobinHankin/spray.git
BugReports: https://github.com/RobinHankin/spray/issues
NeedsCompilation: yes
Packaged: 2019-03-28 18:41:16 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2019-03-28 19:30:19 UTC

## spray 1.0-6

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-6
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
License: GPL (>= 2)
Depends: methods
Suggests: polynom
Imports: Rcpp (>= 0.12.3),partitions,magic
LinkingTo: Rcpp
SystemRequirements: C++11
URL: https://github.com/RobinHankin/spray.git
BugReports: https://github.com/RobinHankin/spray/issues
NeedsCompilation: yes
Packaged: 2019-04-09 21:07:20 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2019-04-10 04:22:39 UTC

## spray 1.0-7

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-7
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
License: GPL (>= 2)
Depends: methods
Suggests: polynom
Imports: Rcpp (>= 0.12.3),partitions,magic
LinkingTo: Rcpp
SystemRequirements: C++11
URL: https://github.com/RobinHankin/spray.git
BugReports: https://github.com/RobinHankin/spray/issues
NeedsCompilation: yes
Packaged: 2019-09-02 01:12:41 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2019-09-02 22:30:02 UTC

## spray 1.0-8

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-8
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
License: GPL (>= 2)
Depends: methods
Suggests: polynom, testthat
Imports: Rcpp (>= 0.12.3),partitions,magic
LinkingTo: Rcpp
SystemRequirements: C++11
URL: https://github.com/RobinHankin/spray.git
BugReports: https://github.com/RobinHankin/spray/issues
NeedsCompilation: yes
Packaged: 2019-10-21 18:56:53 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2019-10-21 20:00:02 UTC

## spray 1.0-9

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-9
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
License: GPL (>= 2)
Depends: methods
Suggests: polynom, testthat, mathjaxr
Imports: Rcpp (>= 0.12.3),partitions,magic
LinkingTo: Rcpp
SystemRequirements: C++11
URL: https://github.com/RobinHankin/spray.git
BugReports: https://github.com/RobinHankin/spray/issues
RdMacros: mathjaxr
NeedsCompilation: yes
Packaged: 2020-05-17 01:42:45 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2020-05-17 05:00:06 UTC

## spray 1.0-10

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-10
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
License: GPL (>= 2)
Depends: methods
Suggests: polynom, testthat
Imports: Rcpp (>= 0.12.3),partitions,magic,mathjaxr
LinkingTo: Rcpp
SystemRequirements: C++11
URL: https://github.com/RobinHankin/spray
BugReports: https://github.com/RobinHankin/spray/issues
RdMacros: mathjaxr
NeedsCompilation: yes
Packaged: 2020-10-02 08:27:36 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Date/Publication: 2020-10-03 10:00:03 UTC
Repository: CRAN

## spray 1.0-11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: spray
 Type: Package
 Title: Sparse Arrays and Multivariate Polynomials
-Version: 1.0-10
+Version: 1.0-11
 Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 Description: Sparse arrays interpreted as multivariate polynomials.
@@ -15,7 +15,7 @@
 BugReports: https://github.com/RobinHankin/spray/issues
 RdMacros: mathjaxr
 NeedsCompilation: yes
-Packaged: 2020-10-02 08:27:36 UTC; rhankin
+Packaged: 2021-02-14 21:16:33 UTC; rhankin
 Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
-Date/Publication: 2020-10-03 10:00:03 UTC
 Repository: CRAN
+Date/Publication: 2021-02-14 23:00:02 UTC

## spray 1.0-16

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-16
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
License: GPL (>= 2)
Depends: methods
Suggests: polynom, testthat
Imports: Rcpp (>= 0.12.3),partitions,magic,mathjaxr,disordR (>= 0.0-8)
LinkingTo: Rcpp
SystemRequirements: C++11
URL: https://github.com/RobinHankin/spray
BugReports: https://github.com/RobinHankin/spray/issues
RdMacros: mathjaxr
NeedsCompilation: yes
Packaged: 2021-11-16 21:27:43 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2021-11-16 22:10:02 UTC

## spray 1.0-18

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: spray
 Type: Package
 Title: Sparse Arrays and Multivariate Polynomials
-Version: 1.0-16
+Version: 1.0-18
 Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 Description: Sparse arrays interpreted as multivariate polynomials.
@@ -15,7 +15,7 @@
 BugReports: https://github.com/RobinHankin/spray/issues
 RdMacros: mathjaxr
 NeedsCompilation: yes
-Packaged: 2021-11-16 21:27:43 UTC; rhankin
+Packaged: 2021-12-14 21:41:26 UTC; rhankin
 Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
 Repository: CRAN
-Date/Publication: 2021-11-16 22:10:02 UTC
+Date/Publication: 2021-12-15 03:50:02 UTC

## spray 1.0-19

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: spray
 Type: Package
 Title: Sparse Arrays and Multivariate Polynomials
-Version: 1.0-18
+Version: 1.0-19
 Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 Description: Sparse arrays interpreted as multivariate polynomials.
@@ -15,7 +15,7 @@
 BugReports: https://github.com/RobinHankin/spray/issues
 RdMacros: mathjaxr
 NeedsCompilation: yes
-Packaged: 2021-12-14 21:41:26 UTC; rhankin
+Packaged: 2022-01-17 21:01:30 UTC; rhankin
 Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
 Repository: CRAN
-Date/Publication: 2021-12-15 03:50:02 UTC
+Date/Publication: 2022-01-17 22:00:02 UTC

## spray 1.0-20

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: spray
 Type: Package
 Title: Sparse Arrays and Multivariate Polynomials
-Version: 1.0-19
+Version: 1.0-20
 Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 Description: Sparse arrays interpreted as multivariate polynomials.
@@ -15,7 +15,7 @@
 BugReports: https://github.com/RobinHankin/spray/issues
 RdMacros: mathjaxr
 NeedsCompilation: yes
-Packaged: 2022-01-17 21:01:30 UTC; rhankin
+Packaged: 2022-07-05 20:35:14 UTC; rhankin
 Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
 Repository: CRAN
-Date/Publication: 2022-01-17 22:00:02 UTC
+Date/Publication: 2022-07-05 22:50:02 UTC

## spray 1.0-22

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-22
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.  Uses 'disordR' discipline (Hankin, 2022, <doi:10.48550/ARXIV.2210.03856>).  To cite the package in publications please use Hankin (2022) <doi:10.48550/ARXIV.2210.10848>.
License: GPL (>= 2)
Depends: methods
Suggests: polynom, testthat
Imports: Rcpp (>= 0.12.3),partitions,magic,mathjaxr,disordR (>= 0.0-8)
LinkingTo: Rcpp
SystemRequirements: C++11
URL: https://github.com/RobinHankin/spray
BugReports: https://github.com/RobinHankin/spray/issues
RdMacros: mathjaxr
NeedsCompilation: yes
Packaged: 2022-11-28 21:09:16 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2022-11-28 22:40:02 UTC

## spray 1.0-24

=== DESCRIPTION ===
Package: spray
Type: Package
Title: Sparse Arrays and Multivariate Polynomials
Version: 1.0-24
Authors@R: person(given=c("Robin", "K. S."), family="Hankin",
           role = c("aut","cre"),
	   email="hankin.robin@gmail.com",
	   comment = c(ORCID = "0000-0001-5982-0415"))
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Description: Sparse arrays interpreted as multivariate polynomials.
    Uses 'disordR' discipline (Hankin, 2022,
    <doi:10.48550/ARXIV.2210.03856>).  To cite the package in
    publications please use Hankin (2022) <doi:10.48550/ARXIV.2210.10848>.
License: GPL (>= 2)
Depends: methods
Suggests: polynom, testthat
Imports: Rcpp (>= 0.12.3),partitions,magic,mathjaxr,disordR (>= 0.9-6)
LinkingTo: Rcpp
URL: https://github.com/RobinHankin/spray
BugReports: https://github.com/RobinHankin/spray/issues
RdMacros: mathjaxr
NeedsCompilation: yes
Packaged: 2023-08-09 22:42:58 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2023-08-10 16:30:02 UTC

## spray 1.0-25

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: spray
 Type: Package
 Title: Sparse Arrays and Multivariate Polynomials
-Version: 1.0-24
+Version: 1.0-25
 Authors@R: person(given=c("Robin", "K. S."), family="Hankin",
            role = c("aut","cre"),
 	   email="hankin.robin@gmail.com",
@@ -13,14 +13,14 @@
     publications please use Hankin (2022) <doi:10.48550/ARXIV.2210.10848>.
 License: GPL (>= 2)
 Depends: methods
-Suggests: polynom, testthat
+Suggests: polynom, testthat, covr
 Imports: Rcpp (>= 0.12.3),partitions,magic,mathjaxr,disordR (>= 0.9-6)
 LinkingTo: Rcpp
 URL: https://github.com/RobinHankin/spray
 BugReports: https://github.com/RobinHankin/spray/issues
 RdMacros: mathjaxr
 NeedsCompilation: yes
-Packaged: 2023-08-09 22:42:58 UTC; rhankin
+Packaged: 2024-02-12 08:13:38 UTC; rhankin
 Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
 Repository: CRAN
-Date/Publication: 2023-08-10 16:30:02 UTC
+Date/Publication: 2024-02-12 10:20:02 UTC

## spray 1.0-26

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: spray
 Type: Package
 Title: Sparse Arrays and Multivariate Polynomials
-Version: 1.0-25
+Version: 1.0-26
 Authors@R: person(given=c("Robin", "K. S."), family="Hankin",
            role = c("aut","cre"),
 	   email="hankin.robin@gmail.com",
@@ -14,13 +14,14 @@
 License: GPL (>= 2)
 Depends: methods
 Suggests: polynom, testthat, covr
-Imports: Rcpp (>= 0.12.3),partitions,magic,mathjaxr,disordR (>= 0.9-6)
+Imports: Rcpp (>= 0.12.3), partitions, magic, disordR (>= 0.9-6),
+        stringr
 LinkingTo: Rcpp
-URL: https://github.com/RobinHankin/spray
+URL: https://github.com/RobinHankin/spray,
+        https://robinhankin.github.io/spray/
 BugReports: https://github.com/RobinHankin/spray/issues
-RdMacros: mathjaxr
 NeedsCompilation: yes
-Packaged: 2024-02-12 08:13:38 UTC; rhankin
+Packaged: 2024-08-19 07:38:54 UTC; rhankin
 Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
 Repository: CRAN
-Date/Publication: 2024-02-12 10:20:02 UTC
+Date/Publication: 2024-08-19 08:50:08 UTC

## spray 1.0-27

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: spray
 Type: Package
 Title: Sparse Arrays and Multivariate Polynomials
-Version: 1.0-26
+Version: 1.0-27
 Authors@R: person(given=c("Robin", "K. S."), family="Hankin",
            role = c("aut","cre"),
 	   email="hankin.robin@gmail.com",
@@ -21,7 +21,7 @@
         https://robinhankin.github.io/spray/
 BugReports: https://github.com/RobinHankin/spray/issues
 NeedsCompilation: yes
-Packaged: 2024-08-19 07:38:54 UTC; rhankin
+Packaged: 2025-01-28 16:39:03 UTC; rhankin
 Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
 Repository: CRAN
-Date/Publication: 2024-08-19 08:50:08 UTC
+Date/Publication: 2025-01-29 08:30:02 UTC

## spray 2.1+git20190226

=== debian/changelog ===
spray (2.1+git20190226-0kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Wrap long lines in changelog entries; 2.1+git20190226-0kali2.
  * Update standards version to 4.6.1, no changes needed.
  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs
  [ Arnaud Ribillout ]
  * Nitpick d/rules
  [ Steev Klimaszewski ]
  * Update Debian watch file
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 27 Dec 2022 15:32:43 -0600

spray (2.1+git20190226-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Jan 2021 14:47:32 +0100

spray (2.1+git20190226-0kali1) kali-dev; urgency=medium

  * Initial release (see 4601)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 22 Mar 2019 14:10:42 +0100

=== debian/control ===
Source: spray
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.6.1
Homepage: https://github.com/Greenwolf/Spray
Vcs-Browser: https://gitlab.com/kalilinux/packages/spray
Vcs-Git: https://gitlab.com/kalilinux/packages/spray.git

Package: spray
Architecture: all
Depends: ${misc:Depends}, curl, smbclient
Description: Password Spraying tool for Active Directory Credentials
 This package contains a Password Spraying tool for Active Directory
 Credentials. The script will password spray a target over a period of time. It
 requires password policy as input so accounts are not locked out.
 .
 The package also provides a series of hand crafted password files for
 multiple languages. These have been crafted from the most common active
 directory passwords in various languages and all fit in the complex (1 Upper, 1
 lower, 1 digit) category.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_install:
	dh_install
	cp spray.sh debian/spray/usr/bin/spray

=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=2.1+git%cd \
  https://github.com/Greenwolf/Spray HEAD
# Use the following when upstream starts to tag releases:
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#  https://github.com/Greenwolf/Spray/tags \
#  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
